Uploaded image for project: 'HBase'
  1. HBase
  2. HBASE-11422

Specification of scope is missing for certain Hadoop dependencies

VotersWatch issueWatchersCreate sub-taskLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 0.99.0, 0.98.4
    • Component/s: None
    • Labels:
      None
    • Hadoop Flags:
      Reviewed

      Description

      Konstantin I Boudnik reported in the mailing thread, 'HBase 0.98.x dependency problems', that specifying hadoop-two.version with value other than 2.2.0 pulls in incorrect dependencies such as:

      [INFO] |  \- org.apache.hadoop:hadoop-hdfs:test-jar:tests:2.2.0:compile
      

      This is due to missing specification of scope in the pom.xml files.

        Attachments

        1. HBASE-11422.patch
          2 kB
          Konstantin I Boudnik
        2. HBASE-11422.0.98.patch
          2 kB
          Konstantin I Boudnik

        Issue Links

          Activity

            People

            • Assignee:
              cos Konstantin I Boudnik
              Reporter:
              yuzhihong@gmail.com Ted Yu

              Dates

              • Created:
                Updated:
                Resolved:

                Issue deployment